Page MenuHomeMiraheze

private.revi.wiki ssl cert needs renewing
Closed, ResolvedPublic

Description

Icinga is showing:

WARNING - Certificate 'private.revi.wiki' expires in 29 day(s) (Wed 07 Nov 2018 11:59:59 PM GMT +0000).

Event Timeline

Paladox created this task.Oct 9 2018, 19:26
MacFan4000 triaged this task as Normal priority.Oct 9 2018, 20:42
revi added a comment.Oct 10 2018, 03:22

Provide me the new CSR. Will renew later this month.

revi moved this task from Incoming to TLS on the revi board.Oct 10 2018, 03:22
Paladox added a comment.Oct 10 2018, 20:55

Hi, here's the CSR:

-----BEGIN CERTIFICATE REQUEST-----
MIICzDCCAbQCAQAwYDELMAkGA1UEBhMCTkwxFDASBgNVBAgMC05ldGhlcmxhbmRz
MRQwEgYDVQQHDAtOZXRoZXJsYW5kczERMA8GA1UECgwITWlyYWhlemUxEjAQBgNV
BAMMCXJldmkud2lraTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAODR
WiHM0ivBrf9jNYm0Ehqam+Xs0TrCVvSWTtDta1+4CooZmZ5C00cpUcF5uyWdBShg
3DhZZpRzMpgk8DlHoRCTK1bP3Lc7HS1JQXr8hOjD5NNlLm6o0B6kXYFRqcbRIQWk
I8ALwOwLpPjJLHaQS3wb4mv4Mjd25f8E/mDWkMfyLxDR6RoD2h568AgUq2izNW3r
o2Sjk1n4XgsWSnOww3eWneaNtu7RwLyxBbocymjugn+j+ZjuF6cw2/Li4lxfgxED
Ef55IUEu4x+YbqFo0ZUq5HAI2YrP2JZG5KyAy/S77UWIJ/Dury6MUiYl7B3lgG6V
L2qixGStZl9PVAfRgTUCAwEAAaAnMCUGCSqGSIb3DQEJDjEYMBYwFAYDVR0RBA0w
C4IJcmV2aS53aWtpMA0GCSqGSIb3DQEBCwUAA4IBAQAZJ6EE/aPOu6dWmdldmrhC
cVIXwqfybKhxRPE4WjLKyJ6mvMbWVHYQr7teRL6FOfxfPf+mWIBLXYWPbquNwRFl
t0hKMjDbRciRZXJ36g527ZQ2OTTpbAP7u82EuURFBYJmwEyIrvfa25R/9Cj3H99s
NDZZQZczMJSFt9CH0tnM2mw6FC6L7mFY+LcmMCbRT6K7/BNrFJA8YGRl5jnxpKaD
5zAtCF+uUTSAopQDt0iiVE5ik0q5IDkTgtcWo4XQxKlurE2dVSf84PmXX8gDMra8
1iLP/2ZDZXXFt2oycVnha19s/SqWsmelPiX5hvHCJnsy+280OMEPc8tPskgPpDq+
-----END CERTIFICATE REQUEST-----
revi added a comment.Oct 22 2018, 11:27

CSR reader of the CA thinks it's not private.revi.wiki.

revi added a comment.Oct 22 2018, 11:28

CN: revi.wiki
SAN: revi.wiki

uh...?

Paladox added a comment.Oct 22 2018, 11:32

Here's the updated CSR

-----BEGIN CERTIFICATE REQUEST-----
MIIC3DCCAcQCAQAwaDELMAkGA1UEBhMCTkwxFDASBgNVBAgMC05ldGhlcmxhbmRz
MRQwEgYDVQQHDAtOZXRoZXJsYW5kczERMA8GA1UECgwITWlyYWhlemUxGjAYBgNV
BAMMEXByaXZhdGUucmV2aS53aWtpMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
CgKCAQEAxFF1JhPRtzLrZVknl6PqmyLY2Ff/Rvrcrzc8AjzAfV7RUjXvHR8r664U
ZZi8XdDjoC/a+ath7T7TkANmPBQ9OwEzCTeSXJhPYRXSfqPsah62YaCfdRN00owe
J9/wFaYsLNdWSLgCe7FYXrVLitjxuHDyAEGxbm2bbQ1WParhFG9Rzq9zQbwRRnvL
+nc+jA7lOe/qAOOm0WNqjYMtKgBhXSu5C3VRuZVqV/80Juz8gyIC2W5CDNxVkLAV
9H/MqqzZnpYj86hSqv46/Y0a0RvnRaTYVYjzmzy9zqDA9I/I2NpWxp9cW0GbXi6n
BNSJ1AiYmfdLHq8/YdUh7gPDVdgCHQIDAQABoC8wLQYJKoZIhvcNAQkOMSAwHjAc
BgNVHREEFTATghFwcml2YXRlLnJldmkud2lraTANBgkqhkiG9w0BAQsFAAOCAQEA
GfiTl3TTqy73E37nBxvKPwnqVAegWjYvRinseGiozSGgtOoQWxvTEb+hyK79q5XH
FFuKW3Sor7VXW08mwyZ2wNvOXUBuipU5eBbBQYQV/PFz9swpa833jeJAqR5fPaZR
zW8Y6FwMy5ylg8qm1WsKqRUmKe4AH2L5c9aiyDrKTByHlFo5SbVyFM3R0c2Kr74S
sK21DlCcNHSW6GhXnESZbqSGSd4wXPXol29ImyD2ZxqZcoYw33Sc0UvfzRf7lmyR
ApxPNLhEOke3t8Wyf+a/UOZBef78D9cRAu19koF7gE0dINrkKfQQbSfSDD6eG1NT
dzpEsx1Pp0Gcoi6xGW5wDQ==
-----END CERTIFICATE REQUEST-----
revi added a comment.Oct 22 2018, 11:34

Updated one now works.

revi added a comment.Oct 22 2018, 11:40
-----BEGIN CERTIFICATE----- 
MIIGXjCCBUagAwIBAgIQBEL3m9CcQ284RcYmwKv+RTANBgkqhkiG9w0BAQsFADCB 
kDELMAkGA1UEBhMCR0IxGzAZBgNVBAgTEkdyZWF0ZXIgTWFuY2hlc3RlcjEQMA4G 
A1UEBxMHU2FsZm9yZDEaMBgGA1UEChMRQ09NT0RPIENBIExpbWl0ZWQxNjA0BgNV 
BAMTLUNPTU9ETyBSU0EgRG9tYWluIFZhbGlkYXRpb24gU2VjdXJlIFNlcnZlciBD 
QTAeFw0xODEwMjIwMDAwMDBaFw0xOTExMDcyMzU5NTlaMFUxITAfBgNVBAsTGERv 
bWFpbiBDb250cm9sIFZhbGlkYXRlZDEUMBIGA1UECxMLUG9zaXRpdmVTU0wxGjAY 
BgNVBAMTEXByaXZhdGUucmV2aS53aWtpMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A 
MIIBCgKCAQEAxFF1JhPRtzLrZVknl6PqmyLY2Ff/Rvrcrzc8AjzAfV7RUjXvHR8r 
664UZZi8XdDjoC/a+ath7T7TkANmPBQ9OwEzCTeSXJhPYRXSfqPsah62YaCfdRN0 
0oweJ9/wFaYsLNdWSLgCe7FYXrVLitjxuHDyAEGxbm2bbQ1WParhFG9Rzq9zQbwR 
RnvL+nc+jA7lOe/qAOOm0WNqjYMtKgBhXSu5C3VRuZVqV/80Juz8gyIC2W5CDNxV 
kLAV9H/MqqzZnpYj86hSqv46/Y0a0RvnRaTYVYjzmzy9zqDA9I/I2NpWxp9cW0Gb 
Xi6nBNSJ1AiYmfdLHq8/YdUh7gPDVdgCHQIDAQABo4IC7DCCAugwHwYDVR0jBBgw 
FoAUkK9qOpRaC9iQ6hJWc99DtDoo2ucwHQYDVR0OBBYEFI9OEEy3JpxbeJd/Xw7F 
1A7P7z5KMA4GA1UdDwEB/wQEAwIFoDAMBgNVHRMBAf8EAjAAMB0GA1UdJQQWMBQG 
CCsGAQUFBwMBBggrBgEFBQcDAjBPBgNVHSAESDBGMDoGCysGAQQBsjEBAgIHMCsw 
KQYIKwYBBQUHAgEWHWh0dHBzOi8vc2VjdXJlLmNvbW9kby5jb20vQ1BTMAgGBmeB 
DAECATBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vY3JsLmNvbW9kb2NhLmNvbS9D 
T01PRE9SU0FEb21haW5WYWxpZGF0aW9uU2VjdXJlU2VydmVyQ0EuY3JsMIGFBggr 
BgEFBQcBAQR5MHcwTwYIKwYBBQUHMAKGQ2h0dHA6Ly9jcnQuY29tb2RvY2EuY29t 
L0NPTU9ET1JTQURvbWFpblZhbGlkYXRpb25TZWN1cmVTZXJ2ZXJDQS5jcnQwJAYI 
KwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmNvbW9kb2NhLmNvbTAzBgNVHREELDAqghFw 
cml2YXRlLnJldmkud2lraYIVd3d3LnByaXZhdGUucmV2aS53aWtpMIIBAwYKKwYB 
BAHWeQIEAgSB9ASB8QDvAHYA7ku9t3XOYLrhQmkfq+GeZqMPfl+wctiDAMR7iXqo 
/csAAAFmm5F+IgAABAMARzBFAiBxjtvuKOTX1tEFoHcc6ujDxc0bRyePbhSCMJWH 
PT73iAIhAIUX/UP3qVu6ZoXnpkMGYsyiH+QLsOVPC8FW8ELifDDxAHUAdH7agzGt 
MxCRIZzOJU9CcMK//V5CIAjGNzV55hB7zFYAAAFmm5GAAAAABAMARjBEAiAjyKx2 
hrKnTKXBC/fYVd4oRUAaRw+MIM8Lqn1VNEvzfAIgfdWN/zqU5idmfV7QDdfOCHo+ 
FFtUGSarEEPeHcaU7YkwDQYJKoZIhvcNAQELBQADggEBAHx+byWmf6jYjoOnbGqS 
pGJoMWTXln4/3h6FGm2sjJvN9dUU9RsAixxhguuAQrjo6GZaf1hM2q8HdWs32kOM 
uXX48bpjnmRobXrcw3IonkBPkdNkg+/l9KbhyNria7xEUZcvyrf0+GsMaKvx4jlZ 
y6Vv/Jp7WDCUI3fa316OC+zsMq+qR06tp8LDZ01SRsqNHHbpbuT0kQI3aeqCEfB6 
XJY7Nc1tUHc2yjt9BsyxLuO4M2cioFpxUU6ojW+JXnUCPOpxDyf87KU4QYc9g+h8 
TJkDhMqtpkNP+JrKkI0+YnZzCVbK2wSK0qDbb2U96mBJwp4E0SZQQI89H70ZkD6W 
W4g= 
-----END CERTIFICATE-----

revi removed revi as the assignee of this task.Oct 22 2018, 11:41
Paladox closed this task as Resolved.Oct 22 2018, 12:14
Paladox claimed this task.

It's now deployed!